Index: sansmodels/src/sans/models/media/model_functions.html
===================================================================
--- sansmodels/src/sans/models/media/model_functions.html	(revision 543d1bdf2522521f8b1cf13fbbdd48ab4631fe09)
+++ sansmodels/src/sans/models/media/model_functions.html	(revision 6246e007be76112a64e2148fc046b0743901bf66)
@@ -471,9 +471,9 @@
 <a href="#BEPolyelectrolyte">BEPolyelectrolyte</a>,
 <a href="#BroadPeak">BroadPeak,<span style="text-decoration: none;"> </span><span style="color: windowtext; text-decoration: none;"><u><span style="color: blue;">CorrLength</span></u></span><span style="color: windowtext; text-decoration: none;">,</span></a>
-<a href="#DAB_Model">DAB_Model</a>, <a href="#Debye">Debye</a>, <a href="#Number_Density_Fractal">FractalModel</a>, <a href="#FractalCoreShell">FractalCoreShell</a>, <a href="#GaussLorentzGel">GaussLorentzGel</a>, <a href="#Guinier">Guinier</a>, <a href="#GuinierPorod">GuinierPorod</a>, <a href="#Lorentz">Lorentz</a>, <a href="#Mass_Fractal">MassFractalModel</a>, <a href="#MassSurface_Fractal">MassSurfaceFractal</a>, <a href="#Peak%20Gauss%20Model">PeakGaussModel</a>, <a href="#Peak%20Lorentz%20Model">PeakLorentzModel</a>, <a href="#Poly_GaussCoil">Poly_GaussCoil</a>, <a href="#PolymerExclVolume">PolyExclVolume</a>, <a href="#PorodModel">PorodModel</a>, <a href="#RPA10Model">RPA10Model</a>, <a href="#Surface_Fractal">SurfaceFractalModel</a>,
-<a href="#Teubner%20Strey">Teubner Strey</a>, <a href="#TwoLorentzian">TwoLorentzian</a>, <a href="#TwoPowerLaw">TwoPowerLaw</a>, <a href="#UnifiedPowerRg">UnifiedPowerRg</a>, <a href="#LineModel">LineModel</a>.</li>
+<a href="#DAB_Model">DAB_Model</a>, <a href="#Debye">Debye</a>, <a href="#Number_Density_Fractal">FractalModel</a>, <a href="#FractalCoreShell">FractalCoreShell</a>, <a href="#GaussLorentzGel">GaussLorentzGel</a>, <a href="#Guinier">Guinier</a>, <a href="#GuinierPorod">GuinierPorod</a>, <a href="#Lorentz">Lorentz</a>, <a href="#Mass_Fractal">MassFractalModel</a>, <a href="#MassSurface_Fractal">MassSurfaceFractal</a>, <a href="#Peak%20Gauss%20Model">PeakGaussModel</a>, <a href="#Peak%20Lorentz%20Model">PeakLorentzModel</a>, <a href="#Poly_GaussCoil">Poly_GaussCoil</a>, <a href="#PolymerExclVolume">PolyExclVolume</a>, <a href="#PorodModel">PorodModel</a>, <a href="#RPA10Model">RPA10Model</a><a href="model_functions.html#ReflectivityIIModel">, </a><a href="#Surface_Fractal">SurfaceFractalModel</a>,
+<a href="#Teubner%20Strey">Teubner Strey</a>, <a href="#TwoLorentzian">TwoLorentzian</a>, <a href="#TwoPowerLaw">TwoPowerLaw</a>, <a href="#UnifiedPowerRg">UnifiedPowerRg</a>, <a href="#LineModel">LineModel</a>, <a href="#ReflectivityModel">ReflectivityModel</a>,
+<a href="#ReflectivityIIModel">ReflectivityIIModel</a>.</li>
 <li class="MsoNormal" style="line-height: 115%;"><a href="#Model"><b>Customized Models</b></a>:
-<a href="#A+Bcos%282x%29+Csin%282x%29">A+Bcos(2x)+Csin(2x)</a>,
-<a href="#sinpoly_poly">sin(poly)/(poly)</a>, <a href="#CM+PEV">CM+PEV</a>, <a href="#A*CM+%281-A%29*PEV">A*CM+(1-A)*PEV</a>, <a href="#polynomial5">polynomial5</a>, <a href="#C*sph_jn%28Ax+B%29+D">C*sph_jn(Ax+B)+D</a>, <a href="#ReflectivityModel">ReflectivityModel</a>, <a href="#ReflectivityIIModel">ReflectivityIIModel</a>.</li>
+<a href="#testmodel">testmodel</a>, <a href="#testmodel_2">testmodel_2</a>, <a href="#sum_p1_p2">sum_p1_p2</a>, <a href="#sum_Ap1_1_Ap2">sum_Ap1_1_Ap2</a>, <a href="#polynomial5">polynomial5</a>, <a href="#sph_bessel_jn">sph_bessel_jn</a>.</li>
 <li class="MsoNormal" style="line-height: 115%;"><a href="#Structure_Factors"><b>Structure Factors</b></a>:
 <a href="#HardsphereStructure">HardSphereStructure</a>,
@@ -3347,6 +3347,6 @@
 with a core-shell scattering length density profile. The form factor is
 normalized by the particle volume. This model is a more general case of
-<a href="#CoreShellCylinderModel">
-core-shell cylinder model </a> (see&nbsp;above and reference below) in
+<a href="#CoreShellCylinderModel">core-shell cylinder
+model </a> (see&nbsp;above and reference below) in
 that the parameters of the shell are separated into a face-shell and
 a rim-shell so that users can set different values of the thicknesses
@@ -10726,90 +10726,7 @@
 </table>
 </div>
-<p class="MsoNormal" style="margin-left: 0.25in;"><b><span style="font-size: 14pt;">&nbsp;</span></b></p>
-<p class="MsoNormal"><b><span style="font-size: 14pt;">&nbsp;</span></b></p>
-<p class="MsoNormal"><b><span style="font-size: 14pt;">&nbsp;</span></b></p>
-<p class="MsoNormal" style="margin-left: 0.25in; text-indent: -0.25in;"><b><span style="font-size: 16pt;">4.</span></b><b><span style="font-size: 7pt;">&nbsp;&nbsp;&nbsp;
-</span></b><a name="Model"><b><span style="font-size: 16pt;">Customized
-Models </span></b></a></p>
-<p class="MsoNormal" style="margin-left: 0.25in;"><b><span style="font-size: 14pt;">&nbsp;</span></b></p>
-<p class="MsoBodyText" style="margin-left: 0.25in;">Customized
-model functions can be
-redefined or added by users (See SansView tutorial for details). </p>
-<p class="MsoBodyText" style="margin-left: 0.25in;">&nbsp;</p>
-<p class="MsoListParagraph" style="margin-left: 0.55in; text-indent: -0.3in;"><b><span style="font-size: 14pt;">4.1.</span></b><b><span style="font-size: 7pt;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
-</span></b><a name="A+Bcos(2x)+Csin(2x)"><b><span style="font-size: 14pt;">A+Bcos(2x)+Csin(2x)</span></b></a></p>
-<p class="MsoListParagraph" style="margin-left: 0.55in;"><b><span style="font-size: 14pt;">&nbsp;</span></b></p>
-<p class="MsoNormal">This function, as an example of a
-user defined function, calculates
-the intensity = A + Bcos(2q) + Csin(2q).</p>
-<p class="MsoNormal">&nbsp;</p>
-<p class="MsoNormal">&nbsp;</p>
-<p class="MsoListParagraph" style="margin-left: 0.55in; text-indent: -0.3in;"><b><span style="font-size: 14pt;">4.2.</span></b><b><span style="font-size: 7pt;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
-</span></b><a name="sin(poly)/(poly)"><b><span style="font-size: 14pt;">sin(poly)/poly
-</span></b></a></p>
-<p class="MsoNormal"><b>&nbsp;</b></p>
-<p class="MsoNormal">This function, as an example of a
-user defined function,
-calculates the intensity =&nbsp; scale * sin(f)/f, where f = A + Bq
-+ Cq<sup>2</sup>
-+ Dq<sup>3 </sup>+ Eq<sup>4</sup> + Fq<sup>5</sup>.</p>
-<p class="MsoNormal">&nbsp;</p>
-<p class="MsoNormal">&nbsp;</p>
-<p class="MsoListParagraph" style="margin-left: 0.55in; text-indent: -0.3in;"><b><span style="font-size: 14pt;">4.3.</span></b><b><span style="font-size: 7pt;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
-</span></b><a name="CM+PEV"><b><span style="font-size: 14pt;">CM+PEV
-</span></b></a></p>
-<p class="MsoNormal"><b>&nbsp;</b></p>
-<p class="MsoNormal">This function, as an example of a
-user defined function,
-calculates the intensity =&nbsp; scale_factor * (CylinderModel +
-PolymerExclVolume model).
-To make your own sum(P1+P2) model, select 'Easy Custom Sum' from the
-Fitting menu, or modify and compile the file named 'sum_p1_p2.py' from
-'Edit Custom Model' in the 'Fitting' menu. It works only for single
-functional models.
-</p>
-<p class="MsoNormal">&nbsp;</p>
-<p class="MsoNormal">&nbsp;</p>
-<p class="MsoListParagraph" style="margin-left: 0.55in; text-indent: -0.3in;"><b><span style="font-size: 14pt;">4.4.</span></b><b><span style="font-size: 7pt;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
-</span></b><a name="A*CM+(1-A)*PEV"><b><span style="font-size: 14pt;">A*CM+(1-A)*PEV
-</span></b></a></p>
-<p class="MsoNormal"><b>&nbsp;</b></p>
-<p class="MsoNormal">This function, as an example of a
-user defined function,
-calculates the intensity =&nbsp; (scale_factor * CylinderModel +
-(1-scale_factor) * PolymerExclVolume model).
-To make your own A*p1+(1-A)*p2 model, modify and compile the file named
-'sum_Ap1_1_Ap2.py' from 'Edit Custom Model' in the 'Fitting' menu. It
-works only for single functional models.
-</p>
-<p class="MsoNormal">&nbsp;</p>
-<p class="MsoNormal">&nbsp;</p>
-<p class="MsoListParagraph" style="margin-left: 0.55in; text-indent: -0.3in;"><b><span style="font-size: 14pt;">4.5.</span></b><b><span style="font-size: 7pt;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
-</span></b><a name="polynomial5"><b><span style="font-size: 14pt;">polynomial5
-</span></b></a></p>
-<p class="MsoNormal"><b>&nbsp;</b></p>
-<p class="MsoNormal">This function, as an example of a
-user defined function,
-calculates the intensity =&nbsp; A + Bq + Cq<sup>2</sup>
-+ Dq<sup>3 </sup>+ Eq<sup>4</sup> + Fq<sup>5</sup>.
-This model can be modified and compiled from 'Edit Custom Model' in the
-'Fitting' menu.
-</p>
-<p class="MsoNormal">&nbsp;</p>
-<p class="MsoNormal">&nbsp;</p>
-<p class="MsoListParagraph" style="margin-left: 0.55in; text-indent: -0.3in;"><b><span style="font-size: 14pt;">4.6.</span></b><b><span style="font-size: 7pt;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
-</span></b><a name="C*sph_jn(Ax+B)+D"><b><span style="font-size: 14pt;">C*sph_jn(Ax+B)+D
-</span></b></a></p>
-<p class="MsoNormal"><b>&nbsp;</b></p>
-<p class="MsoNormal">This function, as an example of a
-user defined function,
-calculates the intensity =&nbsp; C*sph_jn(Ax+B)+D where the sph_jn
-is spherical Bessel function of the order n.
-This model can be modified and compiled from 'Edit Custom Model' in the
-'Fitting' menu.
-</p>
-<p class="MsoNormal">&nbsp;</p>
-<p class="MsoNormal">&nbsp;</p>
-<p class="MsoListParagraph" style="margin-left: 0.55in; text-indent: -0.3in;"><b><span style="font-size: 14pt;">4.7.</span></b><b><span style="font-size: 7pt;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+<p class="MsoNormal">&nbsp;</p>
+<p class="MsoListParagraph" style="margin-left: 0.55in; text-indent: -0.3in;"><b><span style="font-size: 14pt;"></span></b></p>
+<p class="MsoListParagraph" style="margin-left: 0.55in; text-indent: -0.3in;"><b><span style="font-size: 14pt;">3.27.</span></b><b><span style="font-size: 7pt;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 </span></b><a name="ReflectivityModel"><b><span style="font-size: 14pt;">ReflectivityModel</span></b></a></p>
 <p class="MsoListParagraph" style="margin-left: 0.55in; text-indent: -0.3in;"><b><span style="font-size: 14pt;">&nbsp;</span></b></p>
@@ -10832,5 +10749,4 @@
 This model was contributed by an interested user. </p>
 <p>&nbsp;</p>
-<p>&nbsp;</p>
 <p align="center"> <img src="image231.bmp"></p>
 <p class="MsoNormal" style="">&nbsp;</p>
@@ -10846,15 +10762,16 @@
 <p>&nbsp;</p>
 <p>&nbsp;</p>
+<p class="MsoListParagraph" style="margin-left: 0.55in; text-indent: -0.3in;"></p>
 <p class="MsoListParagraph" style="margin-left: 0.55in; text-indent: -0.3in;">&nbsp;</p>
-<p class="MsoListParagraph" style="margin-left: 0.55in; text-indent: -0.3in;">&nbsp;</p>
-<p class="MsoListParagraph" style="margin-left: 0.55in; text-indent: -0.3in;">&nbsp;</p>
-<p class="MsoListParagraph" style="margin-left: 0.55in; text-indent: -0.3in;"><b><span style="font-size: 14pt;">4.8.</span></b><b><span style="font-size: 7pt;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+<p class="MsoListParagraph" style="margin-left: 0.55in; text-indent: -0.3in;"><b><span style="font-size: 14pt;">3.28.</span></b><b><span style="font-size: 7pt;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 </span></b><a name="ReflectivityIIModel"><b><span style="font-size: 14pt;">ReflectivityIIModel</span></b></a></p>
 <p class="MsoListParagraph" style="margin-left: 0.55in; text-indent: -0.3in;"><b><span style="font-size: 14pt;">&nbsp;</span></b></p>
-<p class="MsoNormal">Same as the ReflectivityModel except
+<p class="MsoNormal">&nbsp;&nbsp;&nbsp; Same
+as the ReflectivityModel except
 that the it is more
 customizable. More interfacial functions are supplied. The number of
 points
-(npts_inter) for each interface can be choosen. The constant (A below
+(npts_inter) for each interface can be choosen.
+&nbsp;&nbsp;&nbsp; The constant (A below
 but 'nu' as
 a parameter name of the model) for exp, erf, or power-law is an input.
@@ -10874,13 +10791,88 @@
 <p> <span><img src="image049.gif"></span></p>
 <p> </p>
-<p> </p>
-<p> </p>
-<p> </p>
-<p class="MsoNormal">Note: This
+<p class="MsoNormal">&nbsp;&nbsp;&nbsp; Note:
+This
 model was implemented by an interested user. </p>
-<p>&nbsp;</p>
-<p>&nbsp;</p>
-<p>&nbsp;</p>
-<p>&nbsp;</p>
+<p class="MsoNormal"><b><span style="font-size: 14pt;">&nbsp;</span></b></p>
+<p class="MsoNormal"><b><span style="font-size: 14pt;"></span></b></p>
+<p class="MsoNormal"><b><span style="font-size: 14pt;"></span></b></p>
+<p class="MsoNormal"><b><span style="font-size: 14pt;">&nbsp;</span></b></p>
+<p class="MsoNormal" style="margin-left: 0.25in; text-indent: -0.25in;"><b><span style="font-size: 16pt;">4.</span></b><b><span style="font-size: 7pt;">&nbsp;&nbsp;&nbsp;
+</span></b><a name="Model"><b><span style="font-size: 16pt;">Customized
+Models </span></b></a></p>
+<p class="MsoNormal" style="margin-left: 0.25in;"><b><span style="font-size: 14pt;">&nbsp;</span></b></p>
+<p class="MsoBodyText" style="margin-left: 0.25in;">Customized
+model functions can be
+redefined or added by users (See SansView tutorial for details). </p>
+<p class="MsoBodyText" style="margin-left: 0.25in;">&nbsp;</p>
+<p class="MsoListParagraph" style="margin-left: 0.55in; text-indent: -0.3in;"><b><span style="font-size: 14pt;">4.1.</span></b><b><span style="font-size: 7pt;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span></b><a name="testmodel"><b><span style="font-size: 14pt;">testmodel</span></b></a></p>
+<p class="MsoListParagraph" style="margin-left: 0.55in;"><b><span style="font-size: 14pt;">&nbsp;</span></b></p>
+<p class="MsoNormal">This function, as an example of a
+user defined function, calculates
+the intensity = A + Bcos(2q) + Csin(2q).</p>
+<p class="MsoNormal">&nbsp;</p>
+<p class="MsoNormal">&nbsp;</p>
+<p class="MsoListParagraph" style="margin-left: 0.55in; text-indent: -0.3in;"><b><span style="font-size: 14pt;">4.2.</span></b><b><span style="font-size: 7pt;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span></b><a name="testmodel_2"><b><span style="font-size: 14pt;">testmodel_2
+</span></b></a></p>
+<p class="MsoNormal"><b>&nbsp;</b></p>
+<p class="MsoNormal">This function, as an example of a
+user defined function,
+calculates the intensity =&nbsp; scale * sin(f)/f, where f = A + Bq
++ Cq<sup>2</sup>
++ Dq<sup>3 </sup>+ Eq<sup>4</sup> + Fq<sup>5</sup>.</p>
+<p class="MsoNormal">&nbsp;</p>
+<p class="MsoNormal">&nbsp;</p>
+<p class="MsoListParagraph" style="margin-left: 0.55in; text-indent: -0.3in;"><b><span style="font-size: 14pt;">4.3.</span></b><b><span style="font-size: 7pt;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+</span></b><a name="sum_p1_p2"><b><span style="font-size: 14pt;">sum_p1_p2
+</span></b></a></p>
+<p class="MsoNormal"><b>&nbsp;</b></p>
+<p class="MsoNormal">This function, as an example of a
+user defined function,
+calculates the intensity =&nbsp; scale_factor * (CylinderModel +
+PolymerExclVolume model).
+To make your own sum(P1+P2) model, select 'Easy Custom Sum' from the
+Fitting menu, or modify and compile the file named 'sum_p1_p2.py' from
+'Edit Custom Model' in the 'Fitting' menu. It works only for single
+functional models.
+</p>
+<p class="MsoNormal">&nbsp;</p>
+<p class="MsoNormal">&nbsp;</p>
+<p class="MsoListParagraph" style="margin-left: 0.55in; text-indent: -0.3in;"><b><span style="font-size: 14pt;">4.4.</span></b><b><span style="font-size: 7pt;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span></b><a name="sum_Ap1_1_Ap2"><b><span style="font-size: 14pt;">sum_Ap1_1_Ap2
+</span></b></a></p>
+<p class="MsoNormal"><b>&nbsp;</b></p>
+<p class="MsoNormal">This function, as an example of a
+user defined function,
+calculates the intensity =&nbsp; (scale_factor * CylinderModel +
+(1-scale_factor) * PolymerExclVolume model).
+To make your own A*p1+(1-A)*p2 model, modify and compile the file named
+'sum_Ap1_1_Ap2.py' from 'Edit Custom Model' in the 'Fitting' menu. It
+works only for single functional models.
+</p>
+<p class="MsoNormal">&nbsp;</p>
+<p class="MsoNormal">&nbsp;</p>
+<p class="MsoListParagraph" style="margin-left: 0.55in; text-indent: -0.3in;"><b><span style="font-size: 14pt;">4.5.</span></b><b><span style="font-size: 7pt;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+</span></b><a name="polynomial5"><b><span style="font-size: 14pt;">polynomial5
+</span></b></a></p>
+<p class="MsoNormal"><b>&nbsp;</b></p>
+<p class="MsoNormal">This function, as an example of a
+user defined function,
+calculates the intensity =&nbsp; A + Bq + Cq<sup>2</sup>
++ Dq<sup>3 </sup>+ Eq<sup>4</sup> + Fq<sup>5</sup>.
+This model can be modified and compiled from 'Edit Custom Model' in the
+'Fitting' menu.
+</p>
+<p class="MsoNormal">&nbsp;</p>
+<p class="MsoNormal">&nbsp;</p>
+<p class="MsoListParagraph" style="margin-left: 0.55in; text-indent: -0.3in;"><b><span style="font-size: 14pt;">4.6.</span></b><b><span style="font-size: 7pt;">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span></b><a name="sph_bessel_jn"><b><span style="font-size: 14pt;">sph_bessel_jn
+</span></b></a></p>
+<p class="MsoNormal"><b>&nbsp;</b></p>
+<p class="MsoNormal">This function, as an example of a
+user defined function,
+calculates the intensity =&nbsp; C*sph_jn(Ax+B)+D where the sph_jn
+is spherical Bessel function of the order n.
+This model can be modified and compiled from 'Edit Custom Model' in the
+'Fitting' menu.
+</p>
+<p class="MsoNormal">&nbsp;</p>
 <p class="MsoListParagraph" style="margin-left: 0.25in; text-indent: -0.25in;"><b><span style="font-size: 16pt;">5.</span></b><b><span style="font-size: 7pt;">&nbsp;&nbsp;&nbsp;
 </span></b><a name="Structure_Factors"><b><span style="font-size: 16pt;">Structure