Index: src/sas/fit/media/fitting_help.rst
===================================================================
--- src/sas/fit/media/fitting_help.rst	(revision 898a8b9ecad396849fbc7fad88855e8e34d0f503)
+++ src/sas/fit/media/fitting_help.rst	(revision 23a9beb149c5d0f661ae1295aede00e83e311057)
@@ -15,15 +15,27 @@
 
 Load_a_File_
+
 Single_Fit_
+
 Simultaneous_Fitting_
+
 Batch_Fitting_
+
 Model_Selection_
+
 Model_Category_Manager_
+
 Model_Functions_
+
 Custom_Model_Editor_
+
 Polydispersity_Distributions_
+
 Smearing_Computation_
-Polarisation/Magnetic_Scattering_
+
+Polarisation_Magnetic_Scattering_
+
 Key_Combinations_
+
 Status_Bar_Help_
 
@@ -100,11 +112,17 @@
 -------------
 
-.. _Batch_Fit_
-.. _Batch_Window_
-.. _Edit_Grid_ 
-.. _Save_Grid_ 
-.. _Open_Batch_Results_ 
-.. _Plot_ 
-.. _View_Column_Cell_ 
+Batch_Fit_
+
+Batch_Window_
+
+Edit_Grid_
+
+Save_Grid_
+
+Open_Batch_Results_
+
+Plot_
+
+View_Column_Cell_
 
 .. _Batch_Fit:
@@ -117,5 +135,5 @@
 Fitting menubar.
 
-.. image:: batch_button_area.bmp
+.. image:: docs/sphinx-docs/source/user/perspectives/fitting/batch_button_area.bmp
 
 Figure 1: MenuBar: 
@@ -154,5 +172,5 @@
 Figure 2).
 
-.. image:: restore_batch_window.bmp
+.. image:: docs/sphinx-docs/source/user/perspectives/fitting/restore_batch_window.bmp
 
 Figure 2: Edit Menu: 
@@ -179,5 +197,5 @@
 column in the grid.
 
-.. image:: edit_menu.bmp
+.. image:: docs/sphinx-docs/source/user/perspectives/fitting/edit_menu.bmp
 
 Figure 3: Edit Menu:
@@ -191,7 +209,7 @@
 .csv file.
 
- *Note:* The grid doesn't save the data array, fits, and the array residuals. 
- As a result, the 'View (fit) Results' functionality will be lost when 
- reloading the saved file.
+*Note:* The grid doesn't save the data array, fits, and the array residuals.
+As a result, the 'View (fit) Results' functionality will be lost when
+reloading the saved file.
 
 Warning! To ensure accuracy of saved fit results, it is recommended to save 
@@ -208,5 +226,5 @@
 available only when at least one column will be removed from the grid.
 
-.. image:: file_menu.bmp
+.. image:: docs/sphinx-docs/source/user/perspectives/fitting/file_menu.bmp
 
 Figure 4: MenuBar:
@@ -226,6 +244,6 @@
 clicking on the plot button.
 
- *X/Y -Axis Selection Range* can be edited manually. These text controls 
- allow the following types of expression (operation can be + - * /, or pow)
+*X/Y -Axis Selection Range* can be edited manually. These text controls
+allow the following types of expression (operation can be + - * /, or pow)
  
 1) if the current axis label range is a function of 1 or more columns, write 
@@ -249,5 +267,5 @@
 with valid entries for plotting to work. The dY-bar is optional (see Figure 5).
 
-.. image::plot_button.bmp
+.. image:: docs/sphinx-docs/source/user/perspectives/fitting/plot_button.bmp
 
 Figure 5: Plotting
@@ -271,5 +289,5 @@
 data and fits. 
 
-.. image::view_button.bmp
+.. image:: docs/sphinx-docs/source/user/perspectives/fitting/view_button.bmp
 
 Figure 6: View Fits
@@ -280,6 +298,8 @@
 
 Model_Type_ 
-Change_Model_Parameters_ 
-Write_your_Own_Model_ 
+
+Change_Model_Parameters_
+
+Write_your_Own_Model_
 
 .. _Model_Type:
@@ -345,13 +365,13 @@
 button (Fig. 2).
 
-.. image:: cat_fig0.bmp
+.. image:: docs/sphinx-docs/source/user/perspectives/fitting/cat_fig0.bmp
 
 Fig.1
 
-.. image:: cat_fig1.bmp
+.. image:: docs/sphinx-docs/source/user/perspectives/fitting/cat_fig1.bmp
 
 Fig.2
 
-.. image:: cat_fig2.bmp
+.. image:: docs/sphinx-docs/source/user/perspectives/fitting/cat_fig2.bmp
 
 Fig.3
@@ -374,8 +394,12 @@
 
 Description_ 
-New_ 
-Sum_Multi_p1_p2_ 
-Advanced_ 
-Delete_ 
+
+New_
+
+Sum_Multi_p1_p2_
+
+Advanced_
+
+Delete_
 
 .. ZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZ
@@ -390,5 +414,5 @@
 function are effective after it is re-selected from the combo-box menu.
 
-.. image:: edit_model_menu.bmp
+.. image:: docs/sphinx-docs/source/user/perspectives/fitting/edit_model_menu.bmp
 
 .. _New:
@@ -400,5 +424,5 @@
 can be viewed and further modified by the 'Advanced' option below.
 
-.. image:: new_model.bmp
+.. image:: docs/sphinx-docs/source/user/perspectives/fitting/new_model.bmp
 
 .. _Sum_Multi_p1_p2:
@@ -413,5 +437,5 @@
 for activation. Hit the 'Close' button when it's done.
 
-.. image:: sum_model.bmp
+.. image:: docs/sphinx-docs/source/user/perspectives/fitting/sum_model.bmp
 
 .. _Advanced:
@@ -422,5 +446,5 @@
 The menu option shows all the files in the plugin_models folder. You can edit, 
 modify, and save it. It is recommended to modify only the lines with arrow 
-(--`-----). In the end of edit, 'Compile' and 'Run' from the menu bar to 
+(-------). In the end of edit, 'Compile' and 'Run' from the menu bar to
 activate or to see the model working properly.
 
@@ -470,5 +494,5 @@
 ------------------------
 
-.. image:: img/pd_image001.png
+.. image:: docs/sphinx-docs/source/user/perspectives/fitting/pd_image001.png
 
 The xmean is the mean of the distribution, w is the half-width, and Norm is a 
@@ -478,11 +502,11 @@
 The standard deviation is
 
-.. image:: img/pd_image002.png
+.. image:: docs/sphinx-docs/source/user/perspectives/fitting/pd_image002.png
 
 The PD (polydispersity) is
 
-.. image:: img/pd_image003.png
-
-.. image:: img/pd_image004.jpg
+.. image:: docs/sphinx-docs/source/user/perspectives/fitting/pd_image003.png
+
+.. image:: docs/sphinx-docs/source/user/perspectives/fitting/pd_image004.jpg
 
 .. _Array_Distribution:
@@ -513,5 +537,5 @@
 ---------------------
 
-.. image:: img/pd_image005.png
+.. image:: docs/sphinx-docs/source/user/perspectives/fitting/pd_image005.png
 
 The xmean is the mean of the distribution and Norm is a normalization factor 
@@ -520,7 +544,7 @@
 The PD (polydispersity) is
 
-.. image:: img/pd_image003.png
-
-.. image:: img/pd_image006.jpg
+.. image:: docs/sphinx-docs/source/user/perspectives/fitting/pd_image003.png
+
+.. image:: docs/sphinx-docs/source/user/perspectives/fitting/pd_image006.jpg
 
 .. _Lognormal_Distribution:
@@ -529,5 +553,5 @@
 ----------------------
 
-.. image:: img/pd_image007.png
+.. image:: docs/sphinx-docs/source/user/perspectives/fitting/pd_image007.png
 
 The /mu/=ln(xmed), xmed is the median value of the distribution, and Norm is a 
@@ -538,14 +562,14 @@
 The PD (polydispersity) is given by /sigma/
 
-.. image:: img/pd_image008.png
+.. image:: docs/sphinx-docs/source/user/perspectives/fitting/pd_image008.png
 
 For the angular distribution
 
-.. image:: img/pd_image009.png
+.. image:: docs/sphinx-docs/source/user/perspectives/fitting/pd_image009.png
 
 The mean value is given by xmean=exp(/mu/+p2/2). The peak value is given by 
 xpeak=exp(/mu/-p2).
 
-.. image:: img/pd_image010.jpg
+.. image:: docs/sphinx-docs/source/user/perspectives/fitting/pd_image010.jpg
 
 This distribution function spreads more and the peak shifts to the left as the 
@@ -557,7 +581,7 @@
 -------------------
 
-.. image:: img/pd_image011.png
-
-The xmeanis the mean of the distribution and Norm is a normalization factor 
+.. image:: docs/sphinx-docs/source/user/perspectives/fitting/pd_image011.png
+
+The xmean is the mean of the distribution and Norm is a normalization factor
 which is determined during the numerical calculation.
 
@@ -566,5 +590,5 @@
 The PD (polydispersity) is
 
-.. image:: img/pd_image012.png
+.. image:: docs/sphinx-docs/source/user/perspectives/fitting/pd_image012.png
 
 Note that the higher PD (polydispersity) might need higher values of Npts and 
@@ -572,5 +596,5 @@
 Nsigmas >= 15 at least.
 
-.. image:: img/pd_image013.jpg
+.. image:: docs/sphinx-docs/source/user/perspectives/fitting/pd_image013.jpg
 
 .. ZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZ
@@ -582,6 +606,8 @@
 
 Slit_Smearing_ 
-Pinhole_Smearing_ 
-2D_Smearing_ 
+
+Pinhole_Smearing_
+
+2D_Smearing_
 
 .. _Slit_Smearing:
@@ -592,18 +618,18 @@
 The sit smeared scattering intensity for SAS is defined by
 
-.. image:: img/sm_image002.gif
+.. image:: docs/sphinx-docs/source/user/perspectives/fitting/sm_image002.gif
 
 where Norm =
 
-.. image:: img/sm_image003.gif
+.. image:: docs/sphinx-docs/source/user/perspectives/fitting/sm_image003.gif
 
 Equation 1
 
-The functions .. image:: img/sm_image004.gif and .. image:: img/sm_image005.gif
+The functions .. image:: docs/sphinx-docs/source/user/perspectives/fitting/sm_image004.gif and .. image:: docs/sphinx-docs/source/user/perspectives/fitting/sm_image005.gif
 refer to the slit width weighting function and the slit height weighting 
 determined at the q point, respectively. Here, we assumes that the weighting 
 function is described by a rectangular function, i.e.,
 
-.. image:: img/sm_image006.gif
+.. image:: docs/sphinx-docs/source/user/perspectives/fitting/sm_image006.gif
 
 Equation 2
@@ -611,16 +637,16 @@
 and
 
-.. image:: img/sm_image007.gif
+.. image:: docs/sphinx-docs/source/user/perspectives/fitting/sm_image007.gif
 
 Equation 3
 
-so that .. image:: img/sm_image008.gif .. image::img/sm_image009.gif for 
-.. image:: img/sm_image010.gif and u.
-
-The .. image::img/sm_image011.gif and .. image::img/sm_image012.gif stand for 
+so that .. image:: docs/sphinx-docs/source/user/perspectives/fitting/sm_image008.gif .. image:: docs/sphinx-docs/source/user/perspectives/fitting/sm_image009.gif for
+.. image:: docs/sphinx-docs/source/user/perspectives/fitting/sm_image010.gif and u.
+
+The .. image:: docs/sphinx-docs/source/user/perspectives/fitting/sm_image011.gif and .. image:: docs/sphinx-docs/source/user/perspectives/fitting/sm_image012.gif stand for
 the slit height (FWHM/2) and the slit width (FWHM/2) in the q space. Now the 
 integral of Equation 1 is simplified to
 
-.. image:: img/sm_image013.gif
+.. image:: docs/sphinx-docs/source/user/perspectives/fitting/sm_image013.gif
 
 Equation 4
@@ -632,29 +658,30 @@
 ------
 
-For .. image:: img/sm_image012.gif = 0 and .. image:: img/sm_image011.gif = 
+For .. image:: docs/sphinx-docs/source/user/perspectives/fitting/sm_image012.gif = 0 and .. image:: docs/sphinx-docs/source/user/perspectives/fitting/sm_image011.gif = 
 constant.
 
-.. image:: img/sm_image016.gif
+.. image:: docs/sphinx-docs/source/user/perspectives/fitting/sm_image016.gif
 
 For discrete q values, at the q values from the data points and at the q 
-values extended up to qN= qi + .. image:: img/sm_image011.gif the smeared 
+values extended up to qN= qi + .. image:: docs/sphinx-docs/source/user/perspectives/fitting/sm_image011.gif the smeared 
 intensity can be calculated approximately
 
-.. image:: img/sm_image017.gif
+.. image:: docs/sphinx-docs/source/user/perspectives/fitting/sm_image017.gif
 
 Equation 5
 
-.. image:: img/sm_image018.gif = 0 for *Is* in *j* < *i* or *j* > N-1*.
+.. image:: docs/sphinx-docs/source/user/perspectives/fitting/sm_image018.gif = 0 for *Is* in *j* < *i* or *j* > N-1*.
 
 Case 2
 ------
 
-For .. image:: img/sm_image012.gif = constant and 
-.. image:: img/sm_image011.gif = 0.
+For .. image:: docs/sphinx-docs/source/user/perspectives/fitting/sm_image012.gif = constant and 
+.. image:: docs/sphinx-docs/source/user/perspectives/fitting/sm_image011.gif = 0.
 
 Similarly to Case 1, we get
 
-.. image:: img/sm_image019.gif for qp= qi-.. image:: img/sm_image012.gif 
-and qN= qi+.. image:: img/sm_image012.gif. .. image:: img/sm_image018.gif = 0 
+.. image:: docs/sphinx-docs/source/user/perspectives/fitting/sm_image019.gif for qp= qi- .. image:: docs/sphinx-docs/source/user/perspectives/fitting/sm_image012.gif
+
+and qN= qi+ .. image:: docs/sphinx-docs/source/user/perspectives/fitting/sm_image012.gif. .. image:: docs/sphinx-docs/source/user/perspectives/fitting/sm_image018.gif = 0
 for *Is* in *j* < *p* or *j* > *N-1*.
 
@@ -662,6 +689,6 @@
 ------
 
-For .. image:: img/sm_image011.gif = constant and 
-.. image:: img/sm_image011.gif = constant.
+For .. image:: docs/sphinx-docs/source/user/perspectives/fitting/sm_image011.gif = constant and 
+.. image:: docs/sphinx-docs/source/user/perspectives/fitting/sm_image011.gif = constant.
 
 In this case, the best way is to perform the integration, Equation 1, 
@@ -674,13 +701,13 @@
 numerical integration for the slit width.
 
-.. image:: img/sm_image020.gif
+.. image:: docs/sphinx-docs/source/user/perspectives/fitting/sm_image020.gif
 
 Equation 7
 
-for qp= qi-.. image:: img/sm_image012.gif and 
-qN= qi+.. image:: img/sm_image012.gif. .. image:: img/sm_image018.gif = 0 for 
+for qp= qi- .. image:: docs/sphinx-docs/source/user/perspectives/fitting/sm_image012.gif and
+qN= qi+ .. image:: docs/sphinx-docs/source/user/perspectives/fitting/sm_image012.gif. .. image:: docs/sphinx-docs/source/user/perspectives/fitting/sm_image018.gif = 0 for
 *Is* in *j* < *p* or *j* > *N-1*.
 
-.. Pinhole_Smearing:
+.. _Pinhole_Smearing:
 
 Pinhole Smearing
@@ -691,5 +718,5 @@
 for this case becomes
 
-.. image:: img/sm_image021.gif
+.. image:: docs/sphinx-docs/source/user/perspectives/fitting/sm_image021.gif
 
 Equation 8
@@ -710,5 +737,5 @@
 except that the weight function used was the 2D elliptical Gaussian function
 
-.. image:: img/sm_image022.gif
+.. image:: docs/sphinx-docs/source/user/perspectives/fitting/sm_image022.gif
 
 Equation 9
@@ -721,5 +748,5 @@
 distribution. The A is a normalization factor.
 
-.. image:: img/sm_image023.gif
+.. image:: docs/sphinx-docs/source/user/perspectives/fitting/sm_image023.gif
 
 Now we consider a numerical integration where each bins in /theta/ and R are 
@@ -728,5 +755,5 @@
 within the bins which in turn becomes
 
-.. image:: img/sm_image024.gif
+.. image:: docs/sphinx-docs/source/user/perspectives/fitting/sm_image024.gif
 
 Equation 10
@@ -736,5 +763,5 @@
 axis). Then, for the polar symmetric smear
 
-.. image:: img/sm_image025.gif
+.. image:: docs/sphinx-docs/source/user/perspectives/fitting/sm_image025.gif
 
 Equation 11
@@ -742,9 +769,9 @@
 where
 
-.. image:: img/sm_image026.gif
+.. image:: docs/sphinx-docs/source/user/perspectives/fitting/sm_image026.gif
 
 while for the x-y symmetric smear
 
-.. image:: img/sm_image027.gif
+.. image:: docs/sphinx-docs/source/user/perspectives/fitting/sm_image027.gif
 
 Equation 12
@@ -752,5 +779,5 @@
 where
 
-.. image:: img/sm_image028.gif
+.. image:: docs/sphinx-docs/source/user/perspectives/fitting/sm_image028.gif
 
 Here, the current version of the SasView uses Equation 11 for 2D smearing 
@@ -782,9 +809,9 @@
 vector *Q* contributes to the the magnetic scattering length.
 
-... image:: img/mag_vector.bmp
+.. image:: docs/sphinx-docs/source/user/perspectives/fitting/mag_vector.bmp
 
 The magnetic scattering length density is then
 
-.. image:: img/dm_eq.gif
+.. image:: docs/sphinx-docs/source/user/perspectives/fitting/dm_eq.gif
 
 where /gamma/ = -1.913 the gyromagnetic ratio, /mu/B is the Bohr magneton, r0 
@@ -799,5 +826,5 @@
 Spin flips:     (+ -) and (- +)
 
-.. image:: img/M_angles_pic.bmp
+.. image:: docs/sphinx-docs/source/user/perspectives/fitting/M_angles_pic.bmp
 
 Now, let's assume that the angles of the *Q*  vector and the spin-axis (x') 
@@ -807,21 +834,21 @@
 as, for non-spin-flips
 
-.. image:: img/sld1.gif
+.. image:: docs/sphinx-docs/source/user/perspectives/fitting/sld1.gif
 
 for spin-flips
 
-.. image:: img/sld2.gif
+.. image:: docs/sphinx-docs/source/user/perspectives/fitting/sld2.gif
 
 where
 
-.. image:: img/mxp.gif
-
-.. image:: img/myp.gif
-
-.. image:: img/mzp.gif
-
-.. image:: img/mqx.gif
-
-.. image:: img/mqy.gif
+.. image:: docs/sphinx-docs/source/user/perspectives/fitting/mxp.gif
+
+.. image:: docs/sphinx-docs/source/user/perspectives/fitting/myp.gif
+
+.. image:: docs/sphinx-docs/source/user/perspectives/fitting/mzp.gif
+
+.. image:: docs/sphinx-docs/source/user/perspectives/fitting/mqx.gif
+
+.. image:: docs/sphinx-docs/source/user/perspectives/fitting/mqy.gif
 
 Here, the M0x, M0y and M0z are the x, y and z components of the magnetization 
@@ -829,9 +856,9 @@
 and /phi/M as defined in the Figure (above)
 
-.. image:: img/m0x_eq.gif
-
-.. image:: img/m0y_eq.gif
-
-.. image:: img/m0z_eq.gif
+.. image:: docs/sphinx-docs/source/user/perspectives/fitting/m0x_eq.gif
+
+.. image:: docs/sphinx-docs/source/user/perspectives/fitting/m0y_eq.gif
+
+.. image:: docs/sphinx-docs/source/user/perspectives/fitting/m0z_eq.gif
 
 The user input parameters are M0_sld = DMM0, Up_theta = /theta/up, 
@@ -843,5 +870,5 @@
 neutrons before the sample and at the analyzer, respectively.
 
-*Note: The values of the 'Up_frac_i' and 'Up_frac_f' must be in the range 
+*Note:* The values of the 'Up_frac_i' and 'Up_frac_f' must be in the range
 between 0 and 1.
 
@@ -854,6 +881,9 @@
 
 Copy_Paste_
+
 Bookmark_
+
 Graph_Context_Menu_
+
 FTolerance_
 
@@ -918,5 +948,6 @@
 
 Message_Warning_Hint_ 
-Console_ 
+
+Console_
 
 .. _Message_Warning_Hint: